package com.ssj.bean.weixin.libmy.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name = "tb_lib_book_apply")
public class LibBookApply extends BaseEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String bookImg; //封面
	private String title; //书籍名
	private String publish; //出版社
	private String paiDate; //希望派送时间
	private String bookSrc;//书籍来源
	private String libId; //馆id
	private Date createTime; //创建时间
	private Integer type; //1申请书单 2、申请随机调书
	private  String radomJson; //随机调书申请json数据
	private Integer state; //状态 1通过2拒绝
	private String auditMsg; //调度员留言
	private String batchId; //批次UUID
	public String getBookImg() {
		return bookImg;
	}

	public void setBookImg(String bookImg) {
		this.bookImg = bookImg;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getPublish() {
		return publish;
	}

	public void setPublish(String publish) {
		this.publish = publish;
	}

	public String getPaiDate() {
		return paiDate;
	}

	public void setPaiDate(String paiDate) {
		this.paiDate = paiDate;
	}

	public String getBookSrc() {
		return bookSrc;
	}

	public void setBookSrc(String bookSrc) {
		this.bookSrc = bookSrc;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getRadomJson() {
		return radomJson;
	}

	public void setRadomJson(String radomJson) {
		this.radomJson = radomJson;
	}

	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public String getAuditMsg() {
		return auditMsg;
	}

	public void setAuditMsg(String auditMsg) {
		this.auditMsg = auditMsg;
	}

	public String getBatchId() {
		return batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}
}
